﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using DemoTile1.Resources;
using System.Windows.Media;

namespace DemoTile1
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
            Loaded += MainPage_Loaded;

            // Sample code to localize the ApplicationBar
            //BuildLocalizedApplicationBar();
        }

        void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            ShellTile TileToFind = ShellTile.ActiveTiles.First();

            //FlipTileData TileData = new FlipTileData()
            //{
            //    Title = "Flip Tile",
            //    BackTitle = "Flip Tile Application",
            //    BackContent = "This App shows you how Flip Tiles work",
            //    WideBackContent = "This App shows you how Flip Tiles work",
            //    Count = 2,
            //    SmallBackgroundImage = new Uri("TilesImages/Flip/FlipCycleTileSmall.png", UriKind.Relative),
            //    BackgroundImage = new Uri("TilesImages/Flip/FlipCycleTileMedium.png", UriKind.Relative),
            //    BackBackgroundImage = new Uri("TilesImages/Flip/FlipCycleTileMediumBack.png", UriKind.Relative),
            //    WideBackgroundImage = new Uri("TilesImages/Flip/FlipCycleTileLarge.png", UriKind.Relative),
            //    WideBackBackgroundImage = new Uri("TilesImages/Flip/FlipCycleTileLargeBack.png", UriKind.Relative),
            //};

            //CycleTileData TileData = new CycleTileData()
            //{
            //    Title = "Cycle Tile",
            //    Count = 10,
            //    SmallBackgroundImage = new Uri("TilesImages/Cycle/FlipCycleTileSmall.png", UriKind.Relative),
            //    CycleImages = new Uri[]
            //   {
            //      new Uri("TilesImages/Cycle/cycleImage1.png", UriKind.Relative), 
            //      new Uri("TilesImages/Cycle/cycleImage2.png", UriKind.Relative), 
            //      new Uri("TilesImages/Cycle/cycleImage3.png", UriKind.Relative), 
            //      new Uri("TilesImages/Cycle/cycleImage4.png", UriKind.Relative), 
            //      new Uri("TilesImages/Cycle/cycleImage5.png", UriKind.Relative), 
            //   }
            //};

            IconicTileData TileData = new IconicTileData()
            {
                Title = "Iconic Tile App",
                Count = 3,
                WideContent1 = "Iconic Tile",
                WideContent2 = "This app shows you",
                WideContent3 = "how Iconic Tiles work",
                SmallIconImage = new Uri("TilesImages/Iconic/SmallIconImage.png", UriKind.Relative),
                IconImage = new Uri("TilesImages/Iconic/IconImage.png", UriKind.Relative),
                BackgroundColor = new Color { A = 255, R = 179, G = 183, B = 174 }
            };

            TileToFind.Update(TileData);
        }

        private void LockScreenButton_Click_1(object sender, RoutedEventArgs e)
        {
            Windows.System.Launcher.LaunchUriAsync(new Uri("ms-settings-lock:"));
        }

        // Sample code for building a localized ApplicationBar
        //private void BuildLocalizedApplicationBar()
        //{
        //    // Set the page's ApplicationBar to a new instance of ApplicationBar.
        //    ApplicationBar = new ApplicationBar();

        //    // Create a new button and set the text value to the localized string from AppResources.
        //    ApplicationBarIconButton appBarButton = new ApplicationBarIconButton(new Uri("/Assets/AppBar/appbar.add.rest.png", UriKind.Relative));
        //    appBarButton.Text = AppResources.AppBarButtonText;
        //    ApplicationBar.Buttons.Add(appBarButton);

        //    // Create a new menu item with the localized string from AppResources.
        //    ApplicationBarMenuItem appBarMenuItem = new ApplicationBarMenuItem(AppResources.AppBarMenuItemText);
        //    ApplicationBar.MenuItems.Add(appBarMenuItem);
        //}
    }
}